%define name gkrellm-plugins
%define version 1.2.8
%define release 1mdk

Name:		%{name}
Summary:	Plugins for gkrellm
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://gkrellm.net/
Source0:	%{name}.tar.bz2
Source1:	gkrellmms-0.5.5.tar.bz2
Source2:	gkrellweather-0.2.7.tar.bz2
Source3:	volume-0.8.tar.bz2
Source4:	mailwatch-0.7.tar.bz2
Source5:	gkrellm-pmu-1.4.tar.bz2
Source6: 	gkrellm-gnome.tar.bz2
Source7:	fmonitor-0.3.tar.bz2
Source8:	gkrellmitime-0.4.tar.bz2
Source9:	gkrellscore_0.0.2.tar.bz2
Source10:	glogwatch-1.0.tar.bz2
Source11:	gkrellstock-0.2.tar.bz2
Source12:	gkrellshoot-0.2.tar.bz2
Source13:	gkrinn_0.5-1.tar.bz2
Source14:	gkrellmwho-0.4.tar.bz2
Source15:	reminder-0.3.1.tar.bz2 
Source16:	gkrellmoon-0.3.tar.bz2 
Source17:	gkrellm_qst-0.3.tar.bz2
Source18:	gkrellm_snmp-0.18.tar.bz2
Source19:	gkrellmss-0.2.tar.bz2
Patch0: 	gkrellm-pmu-makefile.patch.bz2
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib, gkrellm = %{version}, ImageMagick
#Requires:	perl-Finance-Quote (eventual, for gkrellstock)
%ifarch ppc
Requires: pmud
%endif
BuildPreReq:	gkrellm-devel = %{version}, xmms-devel, libsnmp-devel, gnome-libs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}/X11R6

%description
This package contains some plugins for gkrellm.  Included are the following
plugins:

  * plugin_fan, uses lm_sensors to display fan speeds
  * gkrellmms, controls xmms
  * gkrellweather, checks and reports current weather conditions
  * volume, controls mixer
  * mailwatch, watches individual mailboxes for new mail
  * gkrellm-pmu, Mac-OS like power monitor for PPC, x86
  * gkrellm-gnome, add GNOME capabilities to gkrellm
  * fmonitor, displays contents of files (ie. sensor info from lm_sensors)
  * gkrellmitime, displays internet time
  * gkrellscore, displays sports scores
  * glogwatch, logfile watcher
  * gkrellStock, a stock monitor (requires perl-Finance-Quote)
  * gkrellShoot, a screen locker and screen capture krell
  * gkrinn, a newsgroup monitor
  * gkrellmwho, monitors who is logged on your computer
  * reminder, a cron-like scheduler
  * gkrellmoon, shows the phases of the moon
  * gkrellm_qst, get status of defined Quake3 servers
  * gkrellm_snmp, SNMP monitor
  * gkrellmss, sound scope

It also includes fetcho, a slim POP3-checking email client that can be used
instead of fetchmail.

%prep
%setup -q -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
%setup -q -T -D -c -a 2 -n %{name}
%setup -q -T -D -c -a 3 -n %{name}
%setup -q -T -D -c -a 4 -n %{name}
%setup -q -T -D -c -a 5 -n %{name}
%setup -q -T -D -c -a 6 -n %{name}
%setup -q -T -D -c -a 7 -n %{name}
%setup -q -T -D -c -a 8 -n %{name}
%setup -q -T -D -c -a 9 -n %{name}
%setup -q -T -D -c -a 10 -n %{name}
%setup -q -T -D -c -a 11 -n %{name}
%setup -q -T -D -c -a 12 -n %{name}
%setup -q -T -D -c -a 13 -n %{name}
%setup -q -T -D -c -a 14 -n %{name}
%setup -q -T -D -c -a 15 -n %{name}
%setup -q -T -D -c -a 16 -n %{name}
%setup -q -T -D -c -a 17 -n %{name}
%setup -q -T -D -c -a 18 -n %{name}
%setup -q -T -D -c -a 19 -n %{name}
%patch0 -p1

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

# re-define for our CFLAGS:
GTK_INCLUDE=`gtk-config --cflags`
IMLIB_INCLUDE=`imlib-config --cflags-gdk`

(cd $RPM_BUILD_DIR/%{name}
# unsupported now?
make CFLAGS="$RPM_OPT_FLAGS" -f Makefile.plugin_fan
gcc $RPM_OPT_FLAGS -o fetcho fetcho-pop-2.c
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmms
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellweather-0.2.7
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/volume
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/mailwatch-0.7
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-pmu
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE" 
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-gnome
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/fmonitor-0.3
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmitime
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellscore-0.0.2
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/glogwatch-1.0
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellStock-0.2
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellShoot-0.2
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrinn
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmwho-0.4
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/reminder-0.3.1
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmoon-0.3 
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm_qst
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18
make CFLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $IMLIB_INCLUDE"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmss-0.2
ESD_INCLUDE=`esd-config --cflags`
make FLAGS="$RPM_OPT_FLAGS $GTK_INCLUDE $ESD_INCLUDE"
)



%install
mkdir -p %{buildroot}%{_libdir}/gkrellm/plugins
mkdir -p %{buildroot}%{_prefix}/X11R6/bin
mkdir -p %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/plugin_fan.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/fetcho %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmms/gkrellmms.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-0.2.7/gkrellweather.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-0.2.7/GrabWeather %{buildroot}/usr/X11R6/bin
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/volume/volume.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/mailwatch-0.7/mailwatch.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-pmu/pmu.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-gnome/src/gkrellm-gnome.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/fmonitor-0.3/fmonitor.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/fmonitor-0.3/sensors.tcl %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmitime/gkrellm_itime.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellscore-0.0.2/gkrellscore.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellscore-0.0.2/gkrellscore.excite %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/glogwatch-1.0/glogwatch.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellStock-0.2/gkrellstock.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellStock-0.2/GetQuote %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellShoot-0.2/gkrellshoot.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrinn/gkrinn.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmwho-0.4/gkrellmwho.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/reminder-0.3.1/reminder.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmoon-0.3/gkrellmoon.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm_qst/qst.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18/gkrellm_snmp.so  %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmss-0.2/src/gkrellmss.so  %{buildroot}/usr/lib/gkrellm/plugins

# setup various docs
cp $RPM_BUILD_DIR/%{name}/fmonitor-0.3/README $RPM_BUILD_DIR/%{name}/README.fmonitor
cp $RPM_BUILD_DIR/%{name}/gkrellStock-0.2/README $RPM_BUILD_DIR/%{name}/README.gkrellStock
cp $RPM_BUILD_DIR/%{name}/reminder-0.3.1/README $RPM_BUILD_DIR/%{name}/README.reminder
cp $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18/README $RPM_BUILD_DIR/%{name}/README.gkrellm_snmp
cp $RPM_BUILD_DIR/%{name}/gkrellmss-0.2/Themes $RPM_BUILD_DIR/%{name}/Themes.gkrellmss

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}


%files
%defattr(-,root,root,0755)
%doc README.* Themes.gkrellmss
%{_libdir}/gkrellm/plugins/*
%{_prefix}/X11R6/bin/GrabWeather
%{_bindir}/sensors.tcl
%{_bindir}/fetcho
%{_bindir}/gkrellscore.excite
%{_bindir}/GetQuote


%changelog
* Thu Jan 31 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.8-1mdk
- rebuild for 1.2.8
- Requires: gnome-libs-devel
- Requires: s/ucd-snmp-devel/libsnmp-devel/

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- rebuild for 1.2.4 by Ryan T. Sammartino <ryants@shaw.ca>

* Sun Sep 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.2.2-1mdk
- rebuild for 1.2.2
- need to define IMLIB_INCLUDE and GTK_INCLUDE in spec so can use
  optimization for all krells
- updated mailwatch to 0.7
- lots of new goodies:
  - fmonitor 0.3
  - gkrellmitime 0.4
  - gkrellscore 0.0.2
  - glogwatch 1.0
  - gkrellstock 0.2 
  - gkrellshoot 0.2
  - gkrinn 0.5-1
  - gkrellmwho 0.4
  - reminder 0.3.1
  - gkrellmoon 0.3
  - gkrellm_snmp 0.18
  - gkrellmss 0.2

* Wed Aug  9 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-1mdk
- rebuild for 1.2.1 - move plugins to /usr/lib/gkrellm per FHS
- add gkrellm-pmu, gkrellm-gnome (marc heckmann)

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- rebuild for 1.0.8
- updated plugins

* Wed Mar 14 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- rebuild for 1.0.7

* Wed Jan 31 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- rebuild for 1.0.6

* Tue Jan 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- rebuild for 1.0.5

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-1mdk
- rebuild for 1.0.4
- plugin_fan compiles again so it's back in

* Sun Jan 07 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- rebuild for 1.0.3
- remove the plugin_fan plugin...  doesn't look like it's supported anymore
  and it won't build anymore either

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- build for 1.0.2
- rename primary sourcefile so it has no version (silly to keep changing
  it for every new version since the plugins don't change)

* Fri Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- build for 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- build for 1.0.0

* Mon Aug  7 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- build for 0.10.5
- added stricter version checking for dependencies

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- new package for gkrellm plugins
- gkrellmms 0.5.4
- add gkrellweather 0.2.3
- add volume 0.6
- add mailwatch 0.2
- added slim fetcho email fetching client
- remove seti@home since it never compiles properly
